<?php

/*
Plugin Name: Social Engine Public Events 
Plugin URI: http://sociallife.it/blog/
Description: This plugin/widget retrieves the Last X SE Public Events and display them in your Wordpress Sidebar. To show your SE events in the other pages of your wp, simply put the code <code>&lt;?php joomood_events(); ?&gt;</code> where you want in your template.
Author: JooMood
Version: 2.0
Author URI: http://2cq.it/

	Copyright 2009, JooMOod
	-----------------------

	This program is free software: you can redistribute it and/or modify
	it under the terms of the GNU General Public License as published by
	the Free Software Foundation, either version 3 of the License, or
	(at your option) any later version.

	This program is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	GNU General Public License for more details.

	You should have received a copy of the GNU General Public License
	along with this program.  If not, see <http://www.gnu.org/licenses/>.
	
*/

function joomood_events_install() {

	$newoptions = get_option('joomood_events_options');
	
    $newoptions['title']					='JooMood SE Events';
    $newoptions['numOfGroup']				='6';
    $newoptions['eventype']					='1';
    $newoptions['how_many_groups']			='1';
    $newoptions['image_border']				='0';
    $newoptions['image_bordercolor']		='#333333';
    $newoptions['go_profile_text']			='See the event';
    $newoptions['go_profile_text1']			='See the profile of';
    $newoptions['empty_image_url']			='images/nophoto.gif';
    $newoptions['pic_dim_width']			='50';
    $newoptions['pic_dim_height']			='50';
    $newoptions['nametype']					='2';
	$newoptions['mainbox_border_style']		='0';
	$newoptions['mainbox_border_color']		='#333333';
	$newoptions['mainbox_border_dim']		='1';
	$newoptions['mainbox_bg_color']			='#ededed';
	$newoptions['box_border_style']			='0';
	$newoptions['box_border_color']			='#333333';
	$newoptions['box_border_dim']			='1';
	$newoptions['box_bg_color']				='#f7f7f7';
	$newoptions['outer_cellspacing']		='4';
	$newoptions['outer_cellpadding']		='2';
	$newoptions['inner_cellspacing']		='4';
	$newoptions['inner_cellpadding']		='2';
	$newoptions['cut_off']					='100';
	$newoptions['show_stat']				='yes';
    $newoptions['show_stat0']				='yes';
	$newoptions['hide_desc']				='no';
	$newoptions['split_stat']				='no';
	$newoptions['choose_date']				='0';
	$newoptions['user_can_choose']			='yes';
	$newoptions['use_resize']				='yes';
	
	add_option('joomood_events_options', $newoptions);

}


// XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX

// add the admin page
function joomood_events_add_pages() {
	add_options_page('SE Events', 'SE Events', 8, __FILE__, 'joomood_events_options');
}

// XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX


function joomood_events() {

  $newoptions = get_option("joomood_events_options");

  	echo $before_widget;
    echo $before_title;
    echo "<h3>";

    echo $newoptions['title'];
    
    $title		 				= $newoptions['title'];
    $numOfGroup 				= $newoptions['numOfGroup'];
    $how_many_groups 			= $newoptions['how_many_groups'];
    $eventype 					= $newoptions['eventype'];
    $data_type 					= $newoptions['data_type'];
    $image_border 				= $newoptions['image_border'];
    $image_bordercolor 			= $newoptions['image_bordercolor'];
    $go_profile_text 			= $newoptions['go_profile_text'];
    $go_profile_text1 			= $newoptions['go_profile_text1'];
    $empty_image_url 			= $newoptions['empty_image_url'];
    $pic_dim_width 				= $newoptions['pic_dim_width'];
    $pic_dim_height 			= $newoptions['pic_dim_height'];
    $nametype 					= $newoptions['nametype'];
	$mainbox_border_style		= $newoptions['mainbox_border_style'];
	$mainbox_border_color		= $newoptions['mainbox_border_color'];
	$mainbox_border_dim			= $newoptions['mainbox_border_dim'];
	$mainbox_bg_color			= $newoptions['mainbox_bg_color'];
	$box_border_style			= $newoptions['box_border_style'];
	$box_border_color			= $newoptions['box_border_color'];
	$box_border_dim				= $newoptions['box_border_dim'];
	$box_bg_color				= $newoptions['box_bg_color'];
	$outer_cellspacing			= $newoptions['outer_cellspacing'];
	$outer_cellpadding			= $newoptions['outer_cellpadding'];
	$inner_cellspacing			= $newoptions['inner_cellspacing'];
	$inner_cellpadding			= $newoptions['inner_cellpadding'];
	$cut_off					= $newoptions['cut_off'];
	$show_stat					= $newoptions['show_stat'];
	$show_stat0					= $newoptions['show_stat0'];
	$hide_desc					= $newoptions['hide_desc'];
	$split_stat					= $newoptions['split_stat'];
	$choose_date				= $newoptions['choose_date'];
	$user_can_choose			= $newoptions['user_can_choose'];
 	$use_resize					= $newoptions['use_resize'];	    
   
    
    echo $after_title;
    echo"</h3><br />";

	
	// Load main file
	
    include(ABSPATH.'wp-content/plugins/wp-se_events/main/se_events.php');

    echo $after_widget;
    echo "<br /><br />";

} // End of se_events function



// XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX


	function joomood_events_options() {

	$options = $newoptions = get_option('joomood_events_options');

	if ( $_POST["myevents_submit"] ) {

    $newoptions['title'] =htmlspecialchars($_POST['title']);
    $newoptions['numOfGroup'] = $_POST['numOfGroup'];
    $newoptions['how_many_groups'] = $_POST['how_many_groups'];
    $newoptions['eventype'] = $_POST['eventype'];
    $newoptions['data_type'] = $_POST['data_type'];
    $newoptions['image_border'] = $_POST['image_border'];
    $newoptions['image_bordercolor'] = $_POST['image_bordercolor'];
    $newoptions['go_profile_text'] = htmlspecialchars($_POST['go_profile_text']);
    $newoptions['go_profile_text1'] = htmlspecialchars($_POST['go_profile_text1']);
    $newoptions['empty_image_url'] = $_POST['empty_image_url'];
    $newoptions['pic_dim_width'] = $_POST['pic_dim_width'];
    $newoptions['pic_dim_height'] = $_POST['pic_dim_height'];
    $newoptions['nametype'] = $_POST['nametype'];
	$newoptions['mainbox_border_style'] = $_POST['mainbox_border_style'];
	$newoptions['mainbox_border_color'] = $_POST['mainbox_border_color'];
	$newoptions['mainbox_border_dim'] = $_POST['mainbox_border_dim'];
	$newoptions['mainbox_bg_color'] = $_POST['mainbox_bg_color'];
	$newoptions['box_border_style'] = $_POST['box_border_style'];
	$newoptions['box_border_color'] = $_POST['box_border_color'];
	$newoptions['box_border_dim'] = $_POST['box_border_dim'];
	$newoptions['box_bg_color'] = $_POST['box_bg_color'];
	$newoptions['outer_cellspacing'] = $_POST['outer_cellspacing'];
	$newoptions['outer_cellpadding'] = $_POST['outer_cellpadding'];
	$newoptions['inner_cellspacing'] = $_POST['inner_cellspacing'];
	$newoptions['inner_cellpadding'] = $_POST['inner_cellpadding'];
	$newoptions['cut_off'] = $_POST['cut_off'];
	$newoptions['show_stat'] = $_POST['show_stat'];
	$newoptions['show_stat0'] = $_POST['show_stat0'];
	$newoptions['split_stat'] = $_POST['split_stat'];
	$newoptions['hide_desc'] = $_POST['hide_desc'];
	$newoptions['choose_date'] = $_POST['choose_date'];
	$newoptions['user_can_choose'] = $_POST['user_can_choose'];
	$newoptions['use_resize'] = $_POST['use_resize'];

	}
	
	if ( $options != $newoptions ) {
		$options = $newoptions;
		update_option('joomood_events_options', $options);
	}


	echo '<form method="post">';
	echo "<div class=\"wrap\"><h2>JooMood Social Engine Events - Display Options</h2>";
	echo '<table class="form-table">';

	echo '<tr valign="top">';
	echo '<th scope="row">Title of the block</th><td><input name="title" type="text" value="'.$options['title'].'" /></td></tr>';

	echo '<tr valign="top">';
	echo '<th scope="row">How many Events you want to display?</th><td><input name="numOfGroup" type="text" value="'.$options['numOfGroup'].'" /></td></tr>';

	echo '<tr valign="top">';
	echo '<th scope="row">How many Events in every line?</th><td><input name="how_many_groups" type="text" value="'.$options['how_many_groups'].'" /></td></tr>';

	echo '<tr valign="top">
		<tr valign="top">
	<th scope="row">Event Type</th><td>
    <select name="eventype" id="eventype">
      <option ';
      if($options['eventype'] == "1"){ echo ' selected '; } echo 'value="1">All Public Events</option>
      <option ';
      if($options['eventype'] == "2"){ echo ' selected '; } echo 'value="2">Upcoming Events</option>
      <option ';
      if($options['eventype'] == "3"){ echo ' selected '; } echo 'value="3">User Friend Events</option>
    </select>
	</td>
	</tr>';
	echo'
	
	<tr valign="top">
	<th scope="row">Use Image Resize Script?</th><td>
    <select name="use_resize" id="use_resize">
      <option ';
      if($options['use_resize'] == "yes"){ echo ' selected '; } echo 'value="yes">Yes</option>
      <option ';
      if($options['use_resize'] == "no"){ echo ' selected '; } echo 'value="no">No</option>
    </select>
	</td>
	</tr>

	
	<tr valign="top">
	<th scope="row">Image Width</th><td><input name="pic_dim_width" type="text" value="'.$options['pic_dim_width'].'" /></td>
	</tr>

	<tr valign="top">
	<th scope="row">Image Height</th><td><input name="pic_dim_height" type="text" value="'.$options['pic_dim_height'].'" /></td>
	</tr>

	<tr valign="top">
	<th scope="row">Image Border (in pixel)</th><td><input name="image_border" type="text" value="'.$options['image_border'].'" /></td>
	</tr>

	<tr valign="top">
	<th scope="row">Image Border Color</th><td><input name="image_bordercolor" type="text" value="'.$options['image_bordercolor'].'" /></td>
	</tr>

	<tr valign="top">
	<th scope="row">Group Link Title</th><td><input name="go_profile_text" type="text" value="'.$options['go_profile_text'].'" /></td>
	</tr>

	<tr valign="top">
	<th scope="row">User Link Title</th><td><input name="go_profile_text1" type="text" value="'.$options['go_profile_text1'].'" /></td>
	</tr>

	<tr valign="top">
	<th scope="row">SE Empty Image</th><td><input name="empty_image_url" type="text" value="'.$options['empty_image_url'].'" /></td>
	</tr>

	<tr valign="top">
	<th scope="row">Type of Name</th><td>
    <select name="nametype" id="nametype">
      <option ';
      if($options['nametype'] == "1"){ echo ' selected '; } echo 'value="1">Username</option>
      <option ';
      if($options['nametype'] == "2"){ echo ' selected '; } echo 'value="2">Full Name</option>
    </select>
	</td>
	</tr>

	<tr valign="top">
	<th scope="row">Mainbox Border Style</th><td>
    <select name="mainbox_border_style" id="mainbox_border_style">
      <option ';
      if($options['mainbox_border_style'] == "0"){ echo ' selected '; } echo 'value="0">No Border</option>
      <option ';
      if($options['mainbox_border_style'] == "1"){ echo ' selected '; } echo 'value="1">Dotted Border</option>
      <option ';
      if($options['mainbox_border_style'] == "2"){ echo ' selected '; } echo 'value="2">Solid Border</option>
    </select>
	</td>
	</tr>

	<tr valign="top">
	<th scope="row">Mainbox Border Color</th><td><input name="mainbox_border_color" type="text" value="'.$options['mainbox_border_color'].'" /></td>
	</tr>

	<tr valign="top">
	<th scope="row">Mainbox Border Thickness</th><td><input name="mainbox_border_dim" type="text" value="'.$options['mainbox_border_dim'].'" /></td>
	</tr>

	<tr valign="top">
	<th scope="row">Mainbox Background Color</th><td><input name="mainbox_bg_color" type="text" value="'.$options['mainbox_bg_color'].'" /></td>
	</tr>

	<tr valign="top">
	<th scope="row">Inner box Border Style</th><td>
    <select name="box_border_style" id="box_border_style">
      <option ';
      if($options['box_border_style'] == "0"){ echo ' selected '; } echo 'value="0">No Border</option>
      <option ';
      if($options['box_border_style'] == "1"){ echo ' selected '; } echo 'value="1">Dotted Border</option>
      <option ';
      if($options['box_border_style'] == "2"){ echo ' selected '; } echo 'value="2">Solid Border</option>
    </select>
	</td>
	</tr>

	<tr valign="top">
	<th scope="row">Inner box Border Color</th><td><input name="box_border_color" type="text" value="'.$options['box_border_color'].'" /></td>
	</tr>

	<tr valign="top">
	<th scope="row">Inner box Border Thickness</th><td><input name="box_border_dim" type="text" value="'.$options['box_border_dim'].'" /></td>
	</tr>

	<tr valign="top">
	<th scope="row">Inner box Background Color</th><td><input name="box_bg_color" type="text" value="'.$options['box_bg_color'].'" /></td>
	</tr>

	<tr valign="top">
	<th scope="row">Mainbox Cellspacing</th><td><input name="outer_cellspacing" type="text" value="'.$options['outer_cellspacing'].'" /></td>
	</tr>
	
	<tr valign="top">
	<th scope="row">Mainbox Cellpadding</th><td><input name="outer_cellpadding" type="text" value="'.$options['outer_cellpadding'].'" /></td>
	</tr>

	<tr valign="top">
	<th scope="row">Inner box Cellspacing</th><td><input name="inner_cellspacing" type="text" value="'.$options['inner_cellspacing'].'" /></td>
	</tr>

	<tr valign="top">
	<th scope="row">Inner Cellpadding</th><td><input name="inner_cellpadding" type="text" value="'.$options['inner_cellpadding'].'" /></td>
	</tr>

	<tr valign="top">
	<th scope="row">Cut Description after X Chars</th><td><input name="cut_off" type="text" value="'.$options['cut_off'].'" /></td>
	</tr>

	<tr valign="top">
	<th scope="row">Show Stats</th>
	<td>
    <select name="show_stat" id="show_stat">
      <option ';
      if($options['show_stat'] == "yes"){ echo ' selected '; } echo 'value="yes">Yes</option>
      <option ';
      if($options['show_stat'] == "no"){ echo ' selected '; } echo 'value="no">No</option>
    </select>
	</td>
	</tr>

	<tr valign="top">
	<th scope="row">Show Event Stats under the Title?</th>
	<td>
    <select name="show_stat0" id="show_stat0">
      <option ';
      if($options['show_stat0'] == "yes"){ echo ' selected '; } echo 'value="yes">Yes</option>
      <option ';
      if($options['show_stat0'] == "no"){ echo ' selected '; } echo 'value="no">No</option>
    </select>
	</td>
	</tr>

	<tr valign="top">
	<th scope="row">Split Stats in 2 Lines?</th><td>
    <select name="split_stat" id="split_stat">
      <option ';
      if($options['split_stat'] == "yes"){ echo ' selected '; } echo 'value="yes">Yes</option>
      <option ';
      if($options['split_stat'] == "no"){ echo ' selected '; } echo 'value="no">No</option>
    </select>
	</td>
	</tr>

	<tr valign="top">
	<th scope="row">Hide the Description?</th><td>
    <select name="hide_desc" id="hide_desc">
      <option ';
      if($options['hide_desc'] == "yes"){ echo ' selected '; } echo 'value="yes">Yes</option>
      <option ';
      if($options['hide_desc'] == "no"){ echo ' selected '; } echo 'value="no">No</option>
    </select>
	</td>
	</tr>
	
		<th scope="row">Display Events Ordered by</th><td><select name="choose_date" id="choose_date">
      <option ';
      if($options['choose_date'] == "0"){ echo ' selected '; } echo 'value="0">Event Created Date</option>
      <option ';
      if($options['choose_date'] == "1"){ echo ' selected '; } echo 'value="1">Event Start Date</option>
      <option ';
      if($options['choose_date'] == "2"){ echo ' selected '; } echo 'value="2">Event End Date</option>
	  </select>
	</td>
	</tr>

	<tr valign="top">
	<th scope="row">User can choose what to see?</th><td>
    <select name="user_can_choose" id="user_can_choose">
      <option ';
      if($options['user_can_choose'] == "yes"){ echo ' selected '; } echo 'value="yes">Yes</option>
      <option ';
      if($options['user_can_choose'] == "no"){ echo ' selected '; } echo 'value="no">No</option>
    </select>
	</td>
	</tr>
	
	<input type="hidden" name="myevents_submit" value="true">

	</table>

	<p class="submit"><input type="submit" value="Update Options &raquo;"></input></p>

	</div>

	</form>';


	} // End of se_groups_options function


// XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX


function widget_SeEvent($args) {
  extract($args);

  $options = get_option("widget_SeEvent");
  if (!is_array( $options ))
        {
                $options = array(
      'title' => 'JooMood SE Events',
      'numOfGroup' => '3',
      'how_many_groups'=>'1',
      'eventype'=>'1',
      'choose_date'=>'0',
      'image_border'=>'0',
      'image_bordercolor'=>'#333333',
      'go_profile_text'=>'See the event',
      'go_profile_text1'=>'See the profile of',
      'empty_image_url'=>'images/nophoto.gif',
      'pic_dim_width'=>'30',
      'pic_dim_height'=>'30',
      'nametype'=>'2',
      'mainbox_width'=>'100',
      'mainbox_border_style'=>'0',
      'mainbox_border_color'=>'#333333',
      'mainbox_border_dim'=>'1',
      'mainbox_bg_color'=>'#ededed',
      'box_border_style'=>'0',
      'box_border_color'=>'#333333',
      'box_border_dim'=>'1',
      'box_bg_color'=>'#f7f7f7',
      'outer_cellspacing'=>'4',
      'outer_cellpadding'=>'2',
      'inner_cellspacing'=>'4',
      'inner_cellpadding'=>'2',
      'cut_off'=>'100',
      'show_stat'=>'yes',
      'show_stat0'=>'yes',
      'split_stat'=>'no',
      'hide_desc'=>'no',
      'use_resize'=>'yes',
      'user_can_choose'=>'yes'
	        );
  }      

  	echo $before_widget;
    echo $before_title;

    echo $options['title'];
    
    $title		 				= $options['title'];
    $numOfGroup 				= $options['numOfGroup'];
    $how_many_groups 			= $options['how_many_groups'];
    $eventype 					= $options['eventype'];
    $choose_date 				= $options['choose_date'];
    $image_border 				= $options['image_border'];
    $image_bordercolor 			= $options['image_bordercolor'];
    $go_profile_text 			= $options['go_profile_text'];
    $go_profile_text1 			= $options['go_profile_text1'];
    $empty_image_url 			= $options['empty_image_url'];
    $pic_dim_width 				= $options['pic_dim_width'];
    $pic_dim_height 			= $options['pic_dim_height'];
    $nametype 					= $options['nametype'];
	$mainbox_width				= $options['mainbox_width'];
	$mainbox_border_style		= $options['mainbox_border_style'];
	$mainbox_border_color		= $options['mainbox_border_color'];
	$mainbox_border_dim			= $options['mainbox_border_dim'];
	$mainbox_bg_color			= $options['mainbox_bg_color'];
	$box_border_style			= $options['box_border_style'];
	$box_border_color			= $options['box_border_color'];
	$box_border_dim				= $options['box_border_dim'];
	$box_bg_color				= $options['box_bg_color'];
	$outer_cellspacing			= $options['outer_cellspacing'];
	$outer_cellpadding			= $options['outer_cellpadding'];
	$inner_cellspacing			= $options['inner_cellspacing'];
	$inner_cellpadding			= $options['inner_cellpadding'];
	$cut_off					= $options['cut_off'];
	$show_stat					= $options['show_stat'];
	$show_stat0					= $options['show_stat0'];
	$hide_desc					= $options['hide_desc'];
	$split_stat					= $options['split_stat'];
	$user_can_choose			= $options['user_can_choose'];
	$use_resize					= $options['use_resize'];	    
	    
    
    echo $after_title;

	
	// Load main file
	
    include(ABSPATH.'wp-content/plugins/wp-se_events/main/se_events.php');

    echo $after_widget;

} // End of widget_SeEvent function


// XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX


function SeEvent_control()
{
  $options = get_option("widget_SeEvent");
  if (!is_array( $options ))
        {
                $options = array(
      'title' => 'JooMood SE Events',
      'numOfGroup' => '3',
      'how_many_groups'=>'1',
      'eventype'=>'1',
      'choose_date'=>'0',
      'image_border'=>'0',
      'image_bordercolor'=>'#333333',
      'go_profile_text'=>'See the event',
      'go_profile_text1'=>'See the profile of',
      'empty_image_url'=>'images/nophoto.gif',
      'pic_dim_width'=>'30',
      'pic_dim_height'=>'30',
      'nametype'=>'2',
      'mainbox_width'=>'100',
      'mainbox_border_style'=>'0',
      'mainbox_border_color'=>'#333333',
      'mainbox_border_dim'=>'1',
      'mainbox_bg_color'=>'#ededed',
      'box_border_style'=>'0',
      'box_border_color'=>'#333333',
      'box_border_dim'=>'1',
      'box_bg_color'=>'#f7f7f7',
      'outer_cellspacing'=>'4',
      'outer_cellpadding'=>'2',
      'inner_cellspacing'=>'4',
      'inner_cellpadding'=>'2',
      'cut_off'=>'100',
      'show_stat'=>'yes',
      'show_stat0'=>'yes',
      'split_stat'=>'no',
      'hide_desc'=>'no',
      'use_resize'=>'yes',
      'user_can_choose'=>'yes'
      );
  }    

  if ($_POST['SeEvent-Submit'])
  {
    	
    $options['numOfGroup'] = $_POST['SeEvent-numOfGroup'];
    if($options['numOfGroup']=="") {
    $options['numOfGroup']="3";
    }

    $options['title'] = htmlspecialchars($_POST['SeEvent-WidgetTitle']);
    if($options['title']=="") {
    $options['title']="Last ".$options['numOfGroup']." SE Public Events";
    }
 
    $options['how_many_groups'] = $_POST['SeEvent-how_many_groups'];
    if($options['how_many_groups']=="") {
    $options['how_many_groups']="1";
    }

    $options['eventype'] = $_POST['SeEvent-eventype'];
    if ($options['eventype']=="") {
    $options['eventype']="1";
    }
 
    $options['choose_date'] = $_POST['SeEvent-choose_date'];
    if ($options['choose_date']=="") {
    $options['choose_date']="2";
    }
 
    $options['image_border'] = $_POST['SeEvent-image_border'];
    if($options['image_border']=="") {
    $options['image_border']="0";
    }
 
    $options['image_bordercolor'] = $_POST['SeEvent-image_bordercolor'];
     if($options['image_bordercolor']=="") {
    $options['image_bordercolor']="#333333";
    }

    $options['go_profile_text'] = htmlspecialchars($_POST['SeEvent-go_profile_text']);
    if($options['go_profile_text']=="") {
    $options['go_profile_text']="";
    }
 
    $options['go_profile_text1'] = htmlspecialchars($_POST['SeEvent-go_profile_text1']);
    if($options['go_profile_text1']=="") {
    $options['go_profile_text1']="";
    }
 
    $options['empty_image_url'] = $_POST['SeEvent-empty_image_url'];
    if($options['empty_image_url']=="") {
    $options['empty_image_url']="images/nophoto.gif";
    }
    
    $options['pic_dim_width'] = $_POST['SeEvent-pic_dim_width'];
    if($options['pic_dim_width']=="") {
    $options['pic_dim_width']="30";
    }

    $options['pic_dim_height'] = $_POST['SeEvent-pic_dim_height'];
    if($options['pic_dim_height']=="") {
    $options['pic_dim_height']="30";
    }

    $options['nametype'] = $_POST['SeEvent-nametype'];
    if ($options['nametype']=="") {
    $options['nametype']="2";
    }

	$options['mainbox_width'] = $_POST['SeEvent-mainbox_width'];
    if ($options['mainbox_width']=="") {
    $options['mainbox_width']="100";
    }

	$options['mainbox_border_style'] = $_POST['SeEvent-mainbox_border_style'];
    if ($options['mainbox_border_style']=="") {
    $options['mainbox_border_style']="0";
    }

	$options['mainbox_border_color'] = $_POST['SeEvent-mainbox_border_color'];
    if ($options['mainbox_border_color']=="") {
    $options['mainbox_border_color']="#333333";
    }

	$options['mainbox_border_dim'] = $_POST['SeEvent-mainbox_border_dim'];
    if ($options['mainbox_border_dim']=="") {
    $options['mainbox_border_dim']="1";
    }
    
	$options['mainbox_bg_color'] = $_POST['SeEvent-mainbox_bg_color'];
    if ($options['mainbox_bgcolor']=="") {
    $options['mainbox_bgcolor']="#ededed";
    }

	$options['box_border_style'] = $_POST['SeEvent-box_border_style'];
    if ($options['box_border_style']=="") {
    $options['box_border_style']="0";
    }

	$options['box_border_color'] = $_POST['SeEvent-box_border_color'];
    if ($options['box_border_color']=="") {
    $options['box_border_color']="#333333";
    }

	$options['box_border_dim'] = $_POST['SeEvent-box_border_dim'];
    if ($options['box_border_dim']=="") {
    $options['box_border_dim']="1";
    }
    
	$options['box_bg_color'] = $_POST['SeEvent-box_bg_color'];
    if ($options['box_bg_color']=="") {
    $options['box_bg_color']="#f7f7f7";
    }

	$options['outer_cellspacing'] = $_POST['SeEvent-outer_cellspacing'];
    if ($options['outer_cellspacing']=="") {
    $options['outer_cellspacing']="4";
    }

	$options['outer_cellpadding'] = $_POST['SeEvent-outer_cellpadding'];
    if ($options['outer_cellpadding']=="") {
    $options['outer_cellpadding']="2";
    }

	$options['inner_cellspacing'] = $_POST['SeEvent-inner_cellspacing'];
    if ($options['inner_cellspacing']=="") {
    $options['inner_cellspacing']="4";
    }

	$options['inner_cellpadding'] = $_POST['SeEvent-inner_cellpadding'];
    if ($options['inner_cellpadding']=="") {
    $options['inner_cellpadding']="2";
    }

	$options['cut_off'] = $_POST['SeEvent-cut_off'];

	$options['show_stat'] = $_POST['SeEvent-show_stat'];
    if ($options['show_stat']=="") {
    $options['show_stat']="yes";
    }

	$options['show_stat0'] = $_POST['SeEvent-show_stat0'];
    if ($options['show_stat0']=="") {
    $options['show_stat0']="yes";
    }

	$options['split_stat'] = $_POST['SeEvent-split_stat'];
    if ($options['split_stat']=="") {
    $options['split_stat']="no";
    }

	$options['hide_desc'] = $_POST['SeEvent-hide_desc'];
    if ($options['hide_desc']=="") {
    $options['hide_desc']="no";
    }

	$options['user_can_choose'] = $_POST['SeEvent-user_can_choose'];
    if ($options['user_can_choose']=="") {
    $options['user_can_choose']="yes";
    }

	$options['use_resize'] = $_POST['SeEvent-use_resize'];
    if ($options['use_resize']=="") {
    $options['use_resize']="yes";
    }
	
    update_option("widget_SeEvent", $options);
  }

echo"
    <p><label for=\"SeEvent-WidgetTitle\">Widget Title: </label>
    <input class=\"widefat\"  type=\"text\" id=\"SeEvent-WidgetTitle\" name=\"SeEvent-WidgetTitle\" value=\"".$options['title']."\" /></p>
    <p><label for=\"SeEvent-numOfGroup\">Total Events: </label>
    <input class=\"widefat\"  type=\"text\" id=\"SeEvent-numOfGroup\" name=\"SeEvent-numOfGroup\" value=\"".$options['numOfGroup']."\" /></p>
    <p><label for=\"SeEvent-how_many_groups\">Events per Line: </label>
    <input class=\"widefat\"  type=\"text\" id=\"SeEvent-how_many_groups\" name=\"SeEvent-how_many_groups\" value=\"".$options['how_many_groups']."\" /></p>
  
    <p><label for=\"SeEvent-eventype\">Event Type: </label>
    <select name=\"SeEvent-eventype\" id=\"SeEvent-eventype\">
    <option ";
    if($options['eventype'] == "1"){ echo ' selected '; } echo"value=\"1\">All Public Events</option>
    <option ";
    if($options['eventype'] == "2"){ echo ' selected '; } echo"value=\"2\">Upcoming Events</option>
    <option ";
    if($options['eventype'] == "3"){ echo ' selected '; } echo"value=\"3\">User Friends Events</option>
    </select></p>";

	echo "<p><label for=\"SeEvent-use_resize\">Use the Image Resize Script? </label>
	<select name=\"SeEvent-use_resize\" id=\"SeEvent-use_resize\">
	<option ";
	if($options['use_resize'] == "yes"){ echo ' selected '; } echo"value=\"yes\">Yes</option>
	<option ";
	if($options['use_resize'] == "no"){ echo ' selected '; } echo"value=\"no\">No</option>
	</select></p>
  
    <p><label for=\"SeEvent-image_border\">Image Border: </label>
    <input class=\"widefat\"  type=\"text\" id=\"SeEvent-image_border\" name=\"SeEvent-image_border\" value=\"".$options['image_border']."\" /></p>
    <p><label for=\"SeEvent-image_bordercolor\">Image Border Color: </label>
    <input class=\"widefat\"  type=\"text\" id=\"SeEvent-image_bordercolor\" name=\"SeEvent-image_bordercolor\" value=\"".$options['image_bordercolor']."\" /></p>
    <p><label for=\"SeEvent-go_profile_text\">Group Link Title: </label>
    <input class=\"widefat\"  type=\"text\" id=\"SeEvent-go_profile_text\" name=\"SeEvent-go_profile_text\" value=\"".$options['go_profile_text']."\" /></p>
    <p><label for=\"SeEvent-go_profile_text1\">User Link Title: </label>
    <input class=\"widefat\"  type=\"text\" id=\"SeEvent-go_profile_text1\" name=\"SeEvent-go_profile_text1\" value=\"".$options['go_profile_text1']."\" /></p>
    <p><label for=\"SeEvent-empty_image_url\">SE Empty Image: </label>
    <input class=\"widefat\"  type=\"text\" id=\"SeEvent-empty_image_url\" name=\"SeEvent-empty_image_url\" value=\"".$options['empty_image_url']."\" /></p>
    <p><label for=\"SeEvent-pic_dim_width\">Pic Width (in pixel): </label>
    <input class=\"widefat\"  type=\"text\" id=\"SeEvent-pic_dim_width\" name=\"SeEvent-pic_dim_width\" value=\"".$options['pic_dim_width']."\" /></p>
    <p><label for=\"SeEvent-pic_dim_height\">Pic Width (in pixel): </label>
    <input class=\"widefat\"  type=\"text\" id=\"SeEvent-pic_dim_height\" name=\"SeEvent-pic_dim_height\" value=\"".$options['pic_dim_height']."\" /></p>
    <p><label for=\"SeEvent-nametype\">Preferred Names: </label>
    <select name=\"SeEvent-nametype\" id=\"SeEvent-nametype\">
    <option ";
    if($options['nametype'] == "1"){ echo ' selected '; } echo"value=\"1\">Username</option>
    <option ";
    if($options['nametype'] == "2"){ echo ' selected '; } echo"value=\"2\">Full Name</option>
    </select></p>
    <p><label for=\"SeEvent-mainbox_width\">Mainbox Width: </label>
    <input class=\"widefat\"  type=\"text\" id=\"SeEvent-mainbox_width\" name=\"SeEvent-mainbox_width\" value=\"".$options['mainbox_width']."\" /></p>
    <p><label for=\"SeEvent-mainbox_border_style\">Mainbox Border Style: </label>
    <select name=\"SeEvent-mainbox_border_style\" id=\"SeEvent-mainbox_border_style\">
    <option ";
    if($options['mainbox_border_style'] == "0"){ echo ' selected '; } echo"value=\"0\">No Border</option>
    <option ";
    if($options['mainbox_border_style'] == "1"){ echo ' selected '; } echo"value=\"1\">Dotted Border</option>
    <option ";
    if($options['mainbox_border_style'] == "2"){ echo ' selected '; } echo"value=\"2\">Solid Border</option>
    </select></p>
    <p><label for=\"SeEvent-mainbox_border_color\">Mainbox Border Color: </label>
    <input class=\"widefat\"  type=\"text\" id=\"SeEvent-mainbox_border_color\" name=\"SeEvent-mainbox_border_color\" value=\"".$options['mainbox_border_color']."\" /></p>
    <p><label for=\"SeEvent-mainbox_border_dim\">Mainbox Border Thickness (in px): </label>
    <input class=\"widefat\"  type=\"text\" id=\"SeEvent-mainbox_border_dim\" name=\"SeEvent-mainbox_border_dim\" value=\"".$options['mainbox_border_dim']."\" /></p>
    <p><label for=\"SeEvent-mainbox_bg_color\">Mainbox Background Color: </label>
    <input class=\"widefat\"  type=\"text\" id=\"SeEvent-mainbox_bg_color\" name=\"SeEvent-mainbox_bg_color\" value=\"".$options['mainbox_bg_color']."\" /></p>
    <p><label for=\"SeEvent-box_border_style\">Inner box Border Style: </label>
    <select name=\"SeEvent-box_border_style\" id=\"SeEvent-box_border_style\">
    <option ";
    if($options['box_border_style'] == "0"){ echo ' selected '; } echo"value=\"0\">No Border</option>
    <option ";
    if($options['box_border_style'] == "1"){ echo ' selected '; } echo"value=\"1\">Dotted Border</option>
    <option ";
    if($options['box_border_style'] == "2"){ echo ' selected '; } echo"value=\"2\">Solid Border</option>
    </select></p>
    <p><label for=\"SeEvent-box_border_color\">Inner box Border Color: </label>
    <input class=\"widefat\"  type=\"text\" id=\"SeEvent-box_border_color\" name=\"SeEvent-box_border_color\" value=\"".$options['box_border_color']."\" /></p>
    <p><label for=\"SeEvent-box_border_dim\">Inner box Border Thickness (in px): </label>
    <input class=\"widefat\"  type=\"text\" id=\"SeEvent-box_border_dim\" name=\"SeEvent-box_border_dim\" value=\"".$options['box_border_dim']."\" /></p>
    <p><label for=\"SeEvent-box_bg_color\">Inner box Background Color: </label>
    <input class=\"widefat\"  type=\"text\" id=\"SeEvent-box_bg_color\" name=\"SeEvent-box_bg_color\" value=\"".$options['box_bg_color']."\" /></p>
    <p><label for=\"SeEvent-outer_cellspacing\">Mainbox Cellspacing: </label>
    <input class=\"widefat\"  type=\"text\" id=\"SeEvent-outer_cellspacing\" name=\"SeEvent-outer_cellspacing\" value=\"".$options['outer_cellspacing']."\" /></p>
    <p><label for=\"SeEvent-outer_cellpadding\">Mainbox Cellpadding: </label>
    <input class=\"widefat\"  type=\"text\" id=\"SeEvent-outer_cellpadding\" name=\"SeEvent-outer_cellpadding\" value=\"".$options['outer_cellpadding']."\" /></p>
    <p><label for=\"SeEvent-inner_cellspacing\">Inner box Cellspacing: </label>
    <input class=\"widefat\"  type=\"text\" id=\"SeEvent-inner_cellspacing\" name=\"SeEvent-inner_cellspacing\" value=\"".$options['inner_cellspacing']."\" /></p>
    <p><label for=\"SeEvent-inner_cellpadding\">Inner box Cellpadding: </label>
    <input class=\"widefat\"  type=\"text\" id=\"SeEvent-inner_cellpadding\" name=\"SeEvent-inner_cellpadding\" value=\"".$options['inner_cellpadding']."\" /></p>

    <p><label for=\"SeEvent-cut_off\">Cut the Description after X Chars (leave it blank for no-cut): </label>
    <input class=\"widefat\"  type=\"text\" id=\"SeEvent-cut_off\" name=\"SeEvent-cut_off\" value=\"".$options['cut_off']."\" /></p>
    <p><label for=\"SeEvent-show_stat\">Show the Stats? </label>
    <select name=\"SeEvent-show_stat\" id=\"SeEvent-show_stat\">
    <option ";
    if($options['show_stat'] == "yes"){ echo ' selected '; } echo"value=\"yes\">Yes</option>
    <option ";
    if($options['show_stat'] == "no"){ echo ' selected '; } echo"value=\"no\">No</option>
    </select></p>
    <p><label for=\"SeEvent-show_stat0\">Show the Stats under the title? </label>
    <select name=\"SeEvent-show_stat0\" id=\"SeEvent-show_stat0\">
    <option ";
    if($options['show_stat0'] == "yes"){ echo ' selected '; } echo"value=\"yes\">Yes</option>
    <option ";
    if($options['show_stat0'] == "no"){ echo ' selected '; } echo"value=\"no\">No</option>
    </select></p>
    <p><label for=\"SeEvent-split_stat\">Split the Stats in 2 lines? </label>
    <select name=\"SeEvent-split_stat\" id=\"SeEvent-split_stat\">
    <option ";
    if($options['split_stat'] == "yes"){ echo ' selected '; } echo"value=\"yes\">Yes</option>
    <option ";
    if($options['split_stat'] == "no"){ echo ' selected '; } echo"value=\"no\">No</option>
    </select></p>
    <p><label for=\"SeEvent-hide_desc\">Hide the Description? </label>
    <select name=\"SeEvent-hide_desc\" id=\"SeEvent-hide_desc\">
    <option ";
    if($options['hide_desc'] == "yes"){ echo ' selected '; } echo"value=\"yes\">Yes</option>
    <option ";
    if($options['hide_desc'] == "no"){ echo ' selected '; } echo"value=\"no\">No</option>
    </select></p>
    <p><label for=\"SeEvent-choose_date\">Display Events Ordered by: </label>
  	<select name=\"SeEvent-choose_date\" id=\"SeEvent-choose_date\">
    <option ";
    if($options['choose_date'] == "0"){ echo ' selected '; } echo"value=\"0\">Event Created Date</option>
    <option ";
    if($options['choose_date'] == "1"){ echo ' selected '; } echo"value=\"1\">Event Start Date</option>
    <option ";
    if($options['choose_date'] == "2"){ echo ' selected '; } echo"value=\"2\">Event End Date</option>
    </select></p>

    <p><label for=\"SeEvent-user_can_choose\">User can choose what to see?</label>
    <select name=\"SeEvent-user_can_choose\" id=\"SeEvent-user_can_choose\">
    <option ";
    if($options['user_can_choose'] == "yes"){ echo ' selected '; } echo"value=\"yes\">Yes</option>
    <option ";
    if($options['user_can_choose'] == "no"){ echo ' selected '; } echo"value=\"no\">No</option>
    </select></p>
    
    <input type=\"hidden\" id=\"SeEvent-Submit\" name=\"SeEvent-Submit\" value=\"1\" />";
}


//-----------------------------------------------------------------------------
//			ACTIONS
//-----------------------------------------------------------------------------


//uninstall all options
function SeEvent_uninstall () {
	delete_option('widget_SeEvent');
}

function joomood_events_uninstall () {
	delete_option('joomood_events_options');
}

function SeEvent_init()
{
  register_sidebar_widget(__('JooMood SE Events'), 'widget_SeEvent');
  register_widget_control(   'JooMood SE Events', 'SeEvent_control', 300, 200 );    
}

add_action("plugins_loaded", "SeEvent_init");
add_action('admin_menu', 'joomood_events_add_pages');

register_activation_hook( __FILE__, 'joomood_events_install' );
register_deactivation_hook( __FILE__, 'joomood_events_uninstall' );

?>